apiVersion: v1
kind: Service
metadata:
  labels:
    app: app
  name: app
  namespace: ${NAMESPACE}
spec:
  ports:
  - port: 8000
    protocol: TCP
    targetPort: 8000
  selector:
    app: app
  sessionAffinity: None
  type: LoadBalancer
---
##############################
# Links to external services #
##############################
apiVersion: v1
kind: Service
metadata:
  labels:
    app: db
  name: db
  namespace: ${NAMESPACE}
spec:
  type: ExternalName
  externalName: ${DB_EXTERNAL_NAME}
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: amqp
  name: amqp
  namespace: ${NAMESPACE}
spec:
  type: ExternalName
  externalName: ${AMQP_EXTERNAL_NAME}
